## org.eclipse.ocl.cst
Interface OperationContextDeclCS

All Superinterfaces:
  ContextDeclCS, CSTNode, EObject, Notifier

All Known Implementing Classes:
  OperationContextDeclCSImpl

    public interface OperationContextDeclCS

extends ContextDeclCS

A representation of the model object 'Operation Context Decl CS'.

The following features are supported:

- `Operation CS`
- `Pre Post Or Body Decls`

See Also:
  `CSTPackage.getOperationContextDeclCS()`

Method Summary
`OperationCS` `getOperationCS()` Returns the value of the 'Operation CS' containment reference
`EList<PrePostOrBodyDeclCS>` `getPrePostOrBodyDecls()` Returns the value of the 'Pre Post Or Body Decls' containment reference list.
`void` `setOperationCS(OperationCS value)` Sets the value of the '`Operation CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOperationCS

    OperationCS getOperationCS()

  Returns the value of the 'Operation CS' containment reference.

  If the meaning of the 'Operation CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operation CS' containment reference.
  See Also:
    `setOperationCS(OperationCS)`, `CSTPackage.getOperationContextDeclCS_OperationCS()`

### setOperationCS

    void setOperationCS(OperationCS value)

  Sets the value of the '`Operation CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Operation CS' containment reference.
  See Also:
    `getOperationCS()`

### getPrePostOrBodyDecls

    EList<PrePostOrBodyDeclCS> getPrePostOrBodyDecls()

  Returns the value of the 'Pre Post Or Body Decls' containment reference list. The list contents are of type `PrePostOrBodyDeclCS`.

  If the meaning of the 'Pre Post Or Body Decls' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Pre Post Or Body Decls' containment reference list.
  See Also:
    `CSTPackage.getOperationContextDeclCS_PrePostOrBodyDecls()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.